<%- include ("layouts/header") %>

	<div class="container my-4">

		<div class="row mb-4">
			<div class="col-md-12">
				<form class="form-inline" method="GET" action="/api/v1/video/search">
					<div class="form-group">
						<input autocomplete="off" 
							   type="text" 
							   name="search_query" 
							   class="form-control">
					</div>
					<input type="submit" class="btn btn-primary mx-2" value="Search">
				</form>
			</div>
		</div>

		<div class="row text-center">
			<% videos.forEach(function (video) { %>

			<div class="col-md-3 mb-4">
				<div class="card h-100">
					<img src="<%= video.thumbnail %>" 
						 class="card-img-top" 
						 style="height: 300px; object-fit: cover;">

					<p>
						<%= video.minutes + ":" + video.seconds %>
					</p>

					<div class="card-body">
						<h4 class="card-title">
							<%= video.title %>
						</h4>

						<p class="card-text">
							<%= video.category %>
						</p>
					</div>
					<div class="card-footer">
						<a href="/api/v1/video/watch/<%= video.watch %>" class="btn btn-primary">View</a>
					</div>
				</div>
			</div>

			<% }) %>
		</div>
	</div>

<%- include ("layouts/footer") %>